<?php

?>
<?php if(!Yii::$app->deviceDetect->isMobile()):?>

<div id="vi_105778"></div>

<script type="text/javascript">
    function moevideo() {
        console.log("Подключение моёвидео");

        (
            () => {
                const script = document.createElement("script");
                script.defer = true,
                    script.src = "https://cdn1.moe.video/player/mvplayer.min.js";
                script.onload = () => {
                    addContentRoll({
                        width: '100%',
                        placement: 10167,
                        promo: true,
                        advertCount: 10,
                        slot: 'page',
                        sound: 'onclick',
                        fly:{
                            mode: 'stick',
                            animation: 'fly',
                            width: 450,
                            closeSecOffset: 3,
                            position: 'bottom-right',
                        },
                        adEmpty: () => {
                            var i = document.createElement("script");
                            i.src = "https://player.codes/tag/load.js?sid=105778&tag_id=vi_105778";
                            document.head.append(i);                     },
                    });
                }
                document.body.append(script);
            }
        )()
    }
    function adfinityVideoAdv(){
        console.log("Подключение adfinity")
        adfinity.event().publish('externalLaunch', 8427);
    }
    function videoAdvRotate(){
        const date = new Date();
        date.getSeconds()
        let flag = false;
        const scrollDelay = 200;
        console.log("Загрузка видеорекламы, ожидание прокрутки "+scrollDelay+"px")
        if(window.scrollY>scrollDelay && !flag) {
            console.log("Подключение видеорекламы, скролл достигнул " + scrollDelay + "px")
            flag = true;
            window.removeEventListener("scroll", videoAdvRotate);
            // if(date.getSeconds()%2){ Это пример реализации ротации
            //     moevideo();
            // } else {
            //     adfinityVideoAdv();
            // }
            moevideo();
        }
    }
    setTimeout((function (){
//        let flag = false;
        window.addEventListener('scroll',videoAdvRotate);
    }), 3000);

</script>

<?php endif;?>
